vim-enhanced-8.0.662-1.fc26.i686.rpm


Advertisement

Description

vim-enhanced - A version of the VIM editor which includes recent enhancements

Property Value
Distribution Fedora 26
Repository Fedora i386
Package name vim-enhanced
Package version 8.0.662
Package release 1.fc26
Package architecture i686
Package type rpm
Installed size 2.73 MB
Download size 1.26 MB
Official Mirror archives.fedoraproject.org
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more.  The
vim-enhanced package contains a version of VIM with extra, recently
introduced features like Python and Perl interpreters.
Install the vim-enhanced package if you'd like to use a version of the
VIM editor which includes recently added enhancements like
interpreters for the Python and Perl scripting languages.  You'll also
need to install the vim-common package.

Alternatives

Package Version Architecture Repository
vim-enhanced-8.0.1842-1.fc26.i686.rpm 8.0.1842 i686 Fedora Updates Testing
vim-enhanced-8.0.1842-1.fc26.x86_64.rpm 8.0.1842 x86_64 Fedora Updates Testing
vim-enhanced-8.0.1806-1.fc26.i686.rpm 8.0.1806 i686 Fedora Updates
vim-enhanced-8.0.1806-1.fc26.x86_64.rpm 8.0.1806 x86_64 Fedora Updates
vim-enhanced-8.0.662-1.fc26.x86_64.rpm 8.0.662 x86_64 Fedora
vim-enhanced - - -

Requires

Name Value
libacl.so.1 -
libacl.so.1(ACL_1.0) -
libc.so.6(GLIBC_2.15) -
libdl.so.2 -
libdl.so.2(GLIBC_2.0) -
libdl.so.2(GLIBC_2.1) -
libgpm.so.2 -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.2) -
libselinux.so.1 -
libtinfo.so.6 -
perl(:MODULE_COMPAT_5.24.1) -
rtld(GNU_HASH) -
vim-common = 8.0.662-1.fc26
which -

Provides

Name Value
config(vim-enhanced) = 8.0.662-1.fc26
mergetool -
vim = 8.0.662-1.fc26
vim-enhanced = 8.0.662-1.fc26
vim-enhanced(x86-32) = 8.0.662-1.fc26

Download

Type URL
Binary Package vim-enhanced-8.0.662-1.fc26.i686.rpm
Source Package vim-8.0.662-1.fc26.src.rpm

Install Howto

Install the vim-enhanced rpm package:

# dnf install vim-enhanced

Files

Path
/etc/profile.d/vim.csh
/etc/profile.d/vim.sh
/usr/bin/rvim
/usr/bin/vim
/usr/bin/vimdiff
/usr/bin/vimtutor

Changelog

2017-06-23 - Karsten Hopp <karsten@redhat.com> 8.0.662-1
- patchlevel 662
2017-06-20 - Karsten Hopp <karsten@redhat.com> 8.0.648-1
- patchlevel 648
2017-06-19 - Karsten Hopp <karsten@redhat.com> 8.0.647-1
- patchlevel 647
2017-06-15 - Karsten Hopp <karsten@redhat.com> 8.0.642-1
- patchlevel 642
2017-06-12 - Karsten Hopp <karsten@redhat.com> 8.0.636-1
- patchlevel 636
2017-06-09 - Karsten Hopp <karsten@redhat.com> 8.0.628-1
- patchlevel 628
2017-06-07 - Karsten Hopp <karsten@redhat.com> 8.0.627-1
- patchlevel 627
2017-06-05 - Karsten Hopp <karsten@redhat.com> 8.0.617-1
- patchlevel 617
2017-05-29 - Karsten Hopp <karsten@redhat.com> 8.0.606-1
- patchlevel 606
2017-05-25 - Karsten Hopp <karsten@redhat.com> 8.0.604-1
- patchlevel 604

See Also

Package Description
vim-filesystem-8.0.662-1.fc26.i686.rpm VIM filesystem layout
vim-fugitive-2.2-6.fc26.noarch.rpm A Git wrapper so awesome, it should be illegal
vim-go-1.11-2.fc26.noarch.rpm Go development plugin for Vim
vim-golint-0-0.2.gitc7bacac.fc26.i686.rpm Golint vim plugin
vim-gtk-syntax-20130716-7.fc26.noarch.rpm Vim syntax highlighting for GLib, Gtk+, Gstreamer, and more
vim-halibut-1.2-1.fc26.noarch.rpm Syntax file for the halibut manual tool
vim-javabrowser-2.03-9.fc26.noarch.rpm The javabrowser plugin for VIM editor
vim-jedi-0.8.0-2.fc26.noarch.rpm The Jedi vim plugin
vim-latex-1.9.0-2.fc26.noarch.rpm Tools to view, edit and compile LaTeX documents in Vim
vim-latex-doc-1.9.0-2.fc26.noarch.rpm Documentation for vim-latex
vim-minimal-8.0.662-1.fc26.i686.rpm A minimal version of the VIM editor
vim-nerdtree-4.2.0-14.fc26.noarch.rpm A tree explorer plugin for the editor Vim
vim-omnicppcomplete-0.41-8.fc26.noarch.rpm vim c++ completion omnifunc with a ctags database
vim-perl-support-5.3.2-5.fc26.noarch.rpm Perl-IDE for VIM
vim-powerline-2.6-1.fc26.noarch.rpm Powerline VIM plugin
Advertisement
Advertisement